> ## Documentation Index
> Fetch the complete documentation index at: https://docs-en.basswallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdrawal (Webhook)

> The platform actively sends requests to merchants to notify them in real-time about updates to withdrawal orders.

### Endpoint

**POST** `Callback URL configured by the merchant`

<Tip>
  Each withdrawal order will trigger two callbacks. Click [here](/user-guide/useful-docs/webhook) to learn more about the callback rules.
</Tip>

***

### Request Parameters

| Parameter       | Data Type | Required | Description                                                    |
| --------------- | --------- | -------- | -------------------------------------------------------------- |
| **webhookType** | `String`  | Yes      | Webhook type, set to `Withdraw`.                               |
| **id**          | `String`  | Yes      | Order ID.                                                      |
| **status**      | `String`  | Yes      | Order status. Refer to the order status enum for details.      |
| **txHash**      | `String`  | Yes      | On-chain transaction hash.                                     |
| **networkFee**  | `String`  | Yes      | Network fee charged for the withdrawal.                        |
| **platformFee** | `String`  | Yes      | Platform commission fee charged during the withdrawal process. |
| **businessId**  | `String`  | No       | Merchant-defined business ID, if any.                          |
| **timestamp**   | `Long`    | Yes      | UNIX timestamp (in milliseconds).                              |

***

### Request Example

```json theme={null}
{
    "businessId": "9273491234213434",
    "id": "603273294627606528",
    "networkFee": "1",
    "platformFee": "0.25",
    "status": "Success",
    "txHash": "76dfd95035a6b262ffb7ab8d255177ee05327583efbcbdf4400c52eba1de1abb",
    "webhookType": "Withdraw",
    "timestamp": 1729475874520
}
```
